ppdep(1)

NAME
ppdep - The FPC Pascal unit dependency tracking program.

SYNOPSIS
ppdep [-DDefine] [-oFile] [-eext] [-V] [-h] [A[call]] file

Description
ppdep dumps the dependencies of a unit in a format that can be understood by GNU make output. It takes care of dependencies both in the interface and implemntation section of the unit, and it can handle conditional defines.

Usage
You can invoke ppdep with as the only required argument the name of the file (program or unit) whose dependecies you wish to list. You don't need to specify an extension, by default .pp is assumed.

Options
ppdep has several options, which are case insensitive:

-acall
    This option tells ppdep to generate a compiler call for the makefile. The compiler call will be generated for each file that is found in the current directory. If you do no specify an explicit compiler call, ppc386 is used.

-dkeyword
    This option defines keyword
     that can be used to verify conditional defines. ppdep understands conditional defines, you should use this switch if the uses clause of the programs or units can contain conditional defines.

-eext
    This allows you to specify a different extension for the unit files. By default, .ppu is assumed. This extension is written to the makefile.

-f[call]
    This option tells ppdep to generate a compiler call for the makefile. The compiler call will be generated only for the file that was specified on the ppdep command line. If you want to generate a compiler call for each file found, use the -a option. If you do no specify an explicit compiler call, ppc386 is used.

-h  Shows a short help screen.

-ofile
    This option allows you to specify a file to which the dependencies should be written. By default the dependencies are written to standard output. If you specify this option, the dependencies are written to file instead.

-v  Writes some diagnostic messages. If you use this option, be sure to use -o as well, since the diagnostic messages will also be written to standard output.

SEE ALSO

    ppc386(1) ppumove(1) make(1)